libsigc++ 2.2.10

- Main Page
- Modules
- Namespaces
- Classes

Classes | Functions

# retype(), retype_return()

Adaptors

sigc::retype() alters a sigc::pointer_functor, a sigc::mem_functor or a sigc::slot in that it makes C-style casts to the functor's parameter types of all parameters passed through operator()(). More...

## Classes
struct | sigc::retype_return_functor< T_return, T_functor >
| Adaptor that performs a C-style cast on the return value of a functor. More...
struct | sigc::retype_return_functor< void, T_functor >
| Adaptor that performs a C-style cast on the return value of a functor. More...
struct | sigc::retype_functor< T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >
| Adaptor that performs C-style casts on the parameters passed on to the functor. More...
## Functions
template<class T_action , class T_return , class T_functor >
void | sigc::visit_each (const T_action& _A_action, const retype_return_functor< T_return, T_functor >& _A_target)
| Performs a functor on each of the targets of a functor.
template<class T_return , class T_functor >
retype_return_functor < T_return, T_functor > | sigc::retype_return (const T_functor& _A_functor)
| Creates an adaptor of type sigc::retype_return_functor which performs a C-style cast on the return value of the passed functor.
template<class T_action , class T_functor , class T_type1 , class T_type2 , class T_type3 , class T_type4 , class T_type5 , class T_type6 , class T_type7 >
void | sigc::visit_each (const T_action& _A_action, const retype_functor< T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >& _A_target)
| Performs a functor on each of the targets of a functor.
template<class T_return , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor< slot< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > , T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | sigc::retype (const slot< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return >
retype_functor < pointer_functor0< T_return > > | sigc::retype (const pointer_functor0< T_return >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_arg1 , class T_return >
retype_functor < pointer_functor1< T_arg1, T_return >, T_arg1 > | sigc::retype (const pointer_functor1< T_arg1, T_return >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_arg1 , class T_arg2 , class T_return >
retype_functor < pointer_functor2< T_arg1, T_arg2, T_return >, T_arg1, T_arg2 > | sigc::retype (const pointer_functor2< T_arg1, T_arg2, T_return >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return >
retype_functor < pointer_functor3< T_arg1, T_arg2, T_arg3, T_return > , T_arg1, T_arg2, T_arg3 > | sigc::retype (const pointer_functor3< T_arg1, T_arg2, T_arg3, T_return >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return >
retype_functor < pointer_functor4< T_arg1, T_arg2, T_arg3, T_arg4, T_return >, T_arg1, T_arg2, T_arg3, T_arg4 > | sigc::retype (const pointer_functor4< T_arg1, T_arg2, T_arg3, T_arg4, T_return >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return >
retype_functor < pointer_functor5< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_return >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | sigc::retype (const pointer_functor5< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_return >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return >
retype_functor < pointer_functor6< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_return >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | sigc::retype (const pointer_functor6< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_return >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return >
retype_functor < pointer_functor7< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7, T_return > , T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | sigc::retype (const pointer_functor7< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7, T_return >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj >
retype_functor< mem_functor0 < T_return, T_obj > > | sigc::retype (const mem_functor0< T_return, T_obj >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 >
retype_functor< mem_functor1 < T_return, T_obj, T_arg1 > , T_arg1 > | sigc::retype (const mem_functor1< T_return, T_obj, T_arg1 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 >
retype_functor< mem_functor2 < T_return, T_obj, T_arg1, T_arg2 >, T_arg1, T_arg2 > | sigc::retype (const mem_functor2< T_return, T_obj, T_arg1, T_arg2 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >
retype_functor< mem_functor3 < T_return, T_obj, T_arg1, T_arg2, T_arg3 >, T_arg1, T_arg2, T_arg3 > | sigc::retype (const mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
retype_functor< mem_functor4 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > , T_arg1, T_arg2, T_arg3, T_arg4 > | sigc::retype (const mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
retype_functor< mem_functor5 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > , T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | sigc::retype (const mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
retype_functor< mem_functor6 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | sigc::retype (const mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor< mem_functor7 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | sigc::retype (const mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj >
retype_functor < const_mem_functor0< T_return, T_obj > > | sigc::retype (const const_mem_functor0< T_return, T_obj >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 >
retype_functor < const_mem_functor1< T_return, T_obj, T_arg1 >, T_arg1 > | sigc::retype (const const_mem_functor1< T_return, T_obj, T_arg1 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 >
retype_functor < const_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > , T_arg1, T_arg2 > | sigc::retype (const const_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >
retype_functor < const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > , T_arg1, T_arg2, T_arg3 > | sigc::retype (const const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
retype_functor < const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >, T_arg1, T_arg2, T_arg3, T_arg4 > | sigc::retype (const const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
retype_functor < const_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | sigc::retype (const const_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
retype_functor < const_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > , T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | sigc::retype (const const_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor < const_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > , T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | sigc::retype (const const_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj >
retype_functor < volatile_mem_functor0 < T_return, T_obj > > | sigc::retype (const volatile_mem_functor0< T_return, T_obj >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 >
retype_functor < volatile_mem_functor1 < T_return, T_obj, T_arg1 > , T_arg1 > | sigc::retype (const volatile_mem_functor1< T_return, T_obj, T_arg1 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 >
retype_functor < volatile_mem_functor2 < T_return, T_obj, T_arg1, T_arg2 >, T_arg1, T_arg2 > | sigc::retype (const volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >
retype_functor < volatile_mem_functor3 < T_return, T_obj, T_arg1, T_arg2, T_arg3 >, T_arg1, T_arg2, T_arg3 > | sigc::retype (const volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
retype_functor < volatile_mem_functor4 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > , T_arg1, T_arg2, T_arg3, T_arg4 > | sigc::retype (const volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
retype_functor < volatile_mem_functor5 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > , T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | sigc::retype (const volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
retype_functor < volatile_mem_functor6 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | sigc::retype (const volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor < volatile_mem_functor7 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | sigc::retype (const volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj >
retype_functor < const_volatile_mem_functor0 < T_return, T_obj > > | sigc::retype (const const_volatile_mem_functor0< T_return, T_obj >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 >
retype_functor < const_volatile_mem_functor1 < T_return, T_obj, T_arg1 > , T_arg1 > | sigc::retype (const const_volatile_mem_functor1< T_return, T_obj, T_arg1 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 >
retype_functor < const_volatile_mem_functor2 < T_return, T_obj, T_arg1, T_arg2 >, T_arg1, T_arg2 > | sigc::retype (const const_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >
retype_functor < const_volatile_mem_functor3 < T_return, T_obj, T_arg1, T_arg2, T_arg3 >, T_arg1, T_arg2, T_arg3 > | sigc::retype (const const_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
retype_functor < const_volatile_mem_functor4 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > , T_arg1, T_arg2, T_arg3, T_arg4 > | sigc::retype (const const_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
retype_functor < const_volatile_mem_functor5 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > , T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | sigc::retype (const const_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
retype_functor < const_volatile_mem_functor6 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | sigc::retype (const const_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor < const_volatile_mem_functor7 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | sigc::retype (const const_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj >
retype_functor < bound_mem_functor0< T_return, T_obj > > | sigc::retype (const bound_mem_functor0< T_return, T_obj >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 >
retype_functor < bound_mem_functor1< T_return, T_obj, T_arg1 >, T_arg1 > | sigc::retype (const bound_mem_functor1< T_return, T_obj, T_arg1 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 >
retype_functor < bound_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > , T_arg1, T_arg2 > | sigc::retype (const bound_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >
retype_functor < bound_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > , T_arg1, T_arg2, T_arg3 > | sigc::retype (const bound_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
retype_functor < bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >, T_arg1, T_arg2, T_arg3, T_arg4 > | sigc::retype (const bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
retype_functor < bound_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | sigc::retype (const bound_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
retype_functor < bound_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > , T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | sigc::retype (const bound_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor < bound_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > , T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | sigc::retype (const bound_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj >
retype_functor < bound_const_mem_functor0 < T_return, T_obj > > | sigc::retype (const bound_const_mem_functor0< T_return, T_obj >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 >
retype_functor < bound_const_mem_functor1 < T_return, T_obj, T_arg1 > , T_arg1 > | sigc::retype (const bound_const_mem_functor1< T_return, T_obj, T_arg1 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 >
retype_functor < bound_const_mem_functor2 < T_return, T_obj, T_arg1, T_arg2 >, T_arg1, T_arg2 > | sigc::retype (const bound_const_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >
retype_functor < bound_const_mem_functor3 < T_return, T_obj, T_arg1, T_arg2, T_arg3 >, T_arg1, T_arg2, T_arg3 > | sigc::retype (const bound_const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
retype_functor < bound_const_mem_functor4 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > , T_arg1, T_arg2, T_arg3, T_arg4 > | sigc::retype (const bound_const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
retype_functor < bound_const_mem_functor5 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > , T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | sigc::retype (const bound_const_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
retype_functor < bound_const_mem_functor6 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | sigc::retype (const bound_const_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor < bound_const_mem_functor7 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | sigc::retype (const bound_const_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj >
retype_functor < bound_volatile_mem_functor0 < T_return, T_obj > > | sigc::retype (const bound_volatile_mem_functor0< T_return, T_obj >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 >
retype_functor < bound_volatile_mem_functor1 < T_return, T_obj, T_arg1 > , T_arg1 > | sigc::retype (const bound_volatile_mem_functor1< T_return, T_obj, T_arg1 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 >
retype_functor < bound_volatile_mem_functor2 < T_return, T_obj, T_arg1, T_arg2 >, T_arg1, T_arg2 > | sigc::retype (const bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >
retype_functor < bound_volatile_mem_functor3 < T_return, T_obj, T_arg1, T_arg2, T_arg3 >, T_arg1, T_arg2, T_arg3 > | sigc::retype (const bound_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
retype_functor < bound_volatile_mem_functor4 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > , T_arg1, T_arg2, T_arg3, T_arg4 > | sigc::retype (const bound_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
retype_functor < bound_volatile_mem_functor5 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > , T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | sigc::retype (const bound_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
retype_functor < bound_volatile_mem_functor6 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | sigc::retype (const bound_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor < bound_volatile_mem_functor7 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | sigc::retype (const bound_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj >
retype_functor < bound_const_volatile_mem_functor0 < T_return, T_obj > > | sigc::retype (const bound_const_volatile_mem_functor0< T_return, T_obj >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 >
retype_functor < bound_const_volatile_mem_functor1 < T_return, T_obj, T_arg1 > , T_arg1 > | sigc::retype (const bound_const_volatile_mem_functor1< T_return, T_obj, T_arg1 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 >
retype_functor < bound_const_volatile_mem_functor2 < T_return, T_obj, T_arg1, T_arg2 >, T_arg1, T_arg2 > | sigc::retype (const bound_const_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >
retype_functor < bound_const_volatile_mem_functor3 < T_return, T_obj, T_arg1, T_arg2, T_arg3 >, T_arg1, T_arg2, T_arg3 > | sigc::retype (const bound_const_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
retype_functor < bound_const_volatile_mem_functor4 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > , T_arg1, T_arg2, T_arg3, T_arg4 > | sigc::retype (const bound_const_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
retype_functor < bound_const_volatile_mem_functor5 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > , T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | sigc::retype (const bound_const_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
retype_functor < bound_const_volatile_mem_functor6 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | sigc::retype (const bound_const_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.
template<class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
retype_functor < bound_const_volatile_mem_functor7 < T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | sigc::retype (const bound_const_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >& _A_functor)
| Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

## Detailed Description

sigc::retype() alters a sigc::pointer_functor, a sigc::mem_functor or a sigc::slot in that it makes C-style casts to the functor's parameter types of all parameters passed through operator()().

Use this adaptor for inline conversion between numeric or other simple types.

Example:

       void foo(int);
       sigc::retype(sigc::ptr_fun(&foo))(5.7F); // calls foo(5)

The functor that sigc::retype() returns can be passed directly into sigc::signal::connect().

Example:

       sigc::signal<void,float> some_signal;
       void foo(int);
       some_signal.connect(sigc::retype(sigc::ptr_fun(&foo)));

This adaptor builds an exception in that it only works on sig::pointer_functor, sigc::mem_functor and sigc::slot because it needs sophisticated information about the parameter types that cannot be deduced from arbitrary functor types.

sigc::retype_return() alters the return type of an arbitrary functor. Like in sigc::retype() a C-style cast is performed. Usage sigc::retype_return() is not restricted to libsigc++ functor types but you need to specify the new return type as a template parameter.

Example:

       float foo();
       std::cout << sigc::retype_return<int>(&foo)(); // converts foo's return value to an integer

## Function Documentation

template <class T_return , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >

retype_functor<slot<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > sigc::retype | ( | const slot< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::slot.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >

retype_functor<bound_const_volatile_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > sigc::retype | ( | const bound_const_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_const_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >

retype_functor<bound_const_volatile_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > sigc::retype | ( | const bound_const_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_const_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >

retype_functor<bound_const_volatile_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > sigc::retype | ( | const bound_const_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_const_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

retype_functor<bound_const_volatile_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4>, T_arg1, T_arg2, T_arg3, T_arg4 > sigc::retype | ( | const bound_const_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_const_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >

retype_functor<bound_const_volatile_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3>, T_arg1, T_arg2, T_arg3 > sigc::retype | ( | const bound_const_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_const_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 >

retype_functor<bound_const_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2>, T_arg1, T_arg2 > sigc::retype | ( | const bound_const_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_const_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 >

retype_functor<bound_const_volatile_mem_functor1<T_return, T_obj, T_arg1>, T_arg1 > sigc::retype | ( | const bound_const_volatile_mem_functor1< T_return, T_obj, T_arg1 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_const_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj >

retype_functor<bound_const_volatile_mem_functor0<T_return, T_obj> > sigc::retype | ( | const bound_const_volatile_mem_functor0< T_return, T_obj > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_const_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >

retype_functor<bound_volatile_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > sigc::retype | ( | const bound_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >

retype_functor<bound_volatile_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > sigc::retype | ( | const bound_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >

retype_functor<bound_volatile_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > sigc::retype | ( | const bound_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

retype_functor<bound_volatile_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4>, T_arg1, T_arg2, T_arg3, T_arg4 > sigc::retype | ( | const bound_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return >

retype_functor<pointer_functor0<T_return> > sigc::retype | ( | const pointer_functor0< T_return > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::pointer_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 >

retype_functor<bound_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2>, T_arg1, T_arg2 > sigc::retype | ( | const bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 >

retype_functor<bound_volatile_mem_functor1<T_return, T_obj, T_arg1>, T_arg1 > sigc::retype | ( | const bound_volatile_mem_functor1< T_return, T_obj, T_arg1 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj >

retype_functor<bound_volatile_mem_functor0<T_return, T_obj> > sigc::retype | ( | const bound_volatile_mem_functor0< T_return, T_obj > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >

retype_functor<bound_const_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > sigc::retype | ( | const bound_const_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_const_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >

retype_functor<bound_const_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > sigc::retype | ( | const bound_const_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_const_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >

retype_functor<bound_const_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > sigc::retype | ( | const bound_const_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_const_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

retype_functor<bound_const_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4>, T_arg1, T_arg2, T_arg3, T_arg4 > sigc::retype | ( | const bound_const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_const_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >

retype_functor<bound_const_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3>, T_arg1, T_arg2, T_arg3 > sigc::retype | ( | const bound_const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_const_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 >

retype_functor<bound_const_mem_functor2<T_return, T_obj, T_arg1, T_arg2>, T_arg1, T_arg2 > sigc::retype | ( | const bound_const_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_const_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 >

retype_functor<bound_const_mem_functor1<T_return, T_obj, T_arg1>, T_arg1 > sigc::retype | ( | const bound_const_mem_functor1< T_return, T_obj, T_arg1 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_const_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj >

retype_functor<bound_const_mem_functor0<T_return, T_obj> > sigc::retype | ( | const bound_const_mem_functor0< T_return, T_obj > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_const_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >

retype_functor<bound_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > sigc::retype | ( | const bound_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >

retype_functor<bound_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > sigc::retype | ( | const bound_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >

retype_functor<bound_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > sigc::retype | ( | const bound_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

retype_functor<bound_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4>, T_arg1, T_arg2, T_arg3, T_arg4 > sigc::retype | ( | const bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return >

retype_functor<pointer_functor3<T_arg1, T_arg2, T_arg3, T_return>, T_arg1, T_arg2, T_arg3 > sigc::retype | ( | const pointer_functor3< T_arg1, T_arg2, T_arg3, T_return > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::pointer_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 >

retype_functor<bound_mem_functor2<T_return, T_obj, T_arg1, T_arg2>, T_arg1, T_arg2 > sigc::retype | ( | const bound_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 >

retype_functor<bound_mem_functor1<T_return, T_obj, T_arg1>, T_arg1 > sigc::retype | ( | const bound_mem_functor1< T_return, T_obj, T_arg1 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj >

retype_functor<bound_mem_functor0<T_return, T_obj> > sigc::retype | ( | const bound_mem_functor0< T_return, T_obj > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >

retype_functor<const_volatile_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > sigc::retype | ( | const const_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::const_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >

retype_functor<const_volatile_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > sigc::retype | ( | const const_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::const_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >

retype_functor<const_volatile_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > sigc::retype | ( | const const_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::const_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

retype_functor<const_volatile_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4>, T_arg1, T_arg2, T_arg3, T_arg4 > sigc::retype | ( | const const_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::const_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >

retype_functor<mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3>, T_arg1, T_arg2, T_arg3 > sigc::retype | ( | const mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 >

retype_functor<const_volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2>, T_arg1, T_arg2 > sigc::retype | ( | const const_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::const_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 >

retype_functor<const_volatile_mem_functor1<T_return, T_obj, T_arg1>, T_arg1 > sigc::retype | ( | const const_volatile_mem_functor1< T_return, T_obj, T_arg1 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::const_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj >

retype_functor<const_volatile_mem_functor0<T_return, T_obj> > sigc::retype | ( | const const_volatile_mem_functor0< T_return, T_obj > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::const_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >

retype_functor<volatile_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > sigc::retype | ( | const volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >

retype_functor<volatile_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > sigc::retype | ( | const volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >

retype_functor<volatile_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > sigc::retype | ( | const volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >

retype_functor<volatile_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3>, T_arg1, T_arg2, T_arg3 > sigc::retype | ( | const volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >

retype_functor<bound_volatile_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3>, T_arg1, T_arg2, T_arg3 > sigc::retype | ( | const bound_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 >

retype_functor<volatile_mem_functor2<T_return, T_obj, T_arg1, T_arg2>, T_arg1, T_arg2 > sigc::retype | ( | const volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 >

retype_functor<volatile_mem_functor1<T_return, T_obj, T_arg1>, T_arg1 > sigc::retype | ( | const volatile_mem_functor1< T_return, T_obj, T_arg1 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj >

retype_functor<volatile_mem_functor0<T_return, T_obj> > sigc::retype | ( | const volatile_mem_functor0< T_return, T_obj > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >

retype_functor<const_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > sigc::retype | ( | const const_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::const_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >

retype_functor<const_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > sigc::retype | ( | const const_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::const_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >

retype_functor<const_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > sigc::retype | ( | const const_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::const_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

retype_functor<const_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4>, T_arg1, T_arg2, T_arg3, T_arg4 > sigc::retype | ( | const const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::const_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >

retype_functor<bound_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3>, T_arg1, T_arg2, T_arg3 > sigc::retype | ( | const bound_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::bound_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 >

retype_functor<const_mem_functor2<T_return, T_obj, T_arg1, T_arg2>, T_arg1, T_arg2 > sigc::retype | ( | const const_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::const_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 >

retype_functor<const_mem_functor1<T_return, T_obj, T_arg1>, T_arg1 > sigc::retype | ( | const const_mem_functor1< T_return, T_obj, T_arg1 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::const_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj >

retype_functor<const_mem_functor0<T_return, T_obj> > sigc::retype | ( | const const_mem_functor0< T_return, T_obj > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::const_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >

retype_functor<const_volatile_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3>, T_arg1, T_arg2, T_arg3 > sigc::retype | ( | const const_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::const_volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >

retype_functor<mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > sigc::retype | ( | const mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >

retype_functor<mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > sigc::retype | ( | const mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

retype_functor<volatile_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4>, T_arg1, T_arg2, T_arg3, T_arg4 > sigc::retype | ( | const volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::volatile_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

retype_functor<mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4>, T_arg1, T_arg2, T_arg3, T_arg4 > sigc::retype | ( | const mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 >

retype_functor<mem_functor2<T_return, T_obj, T_arg1, T_arg2>, T_arg1, T_arg2 > sigc::retype | ( | const mem_functor2< T_return, T_obj, T_arg1, T_arg2 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 >

retype_functor<mem_functor1<T_return, T_obj, T_arg1>, T_arg1 > sigc::retype | ( | const mem_functor1< T_return, T_obj, T_arg1 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj >

retype_functor<mem_functor0<T_return, T_obj> > sigc::retype | ( | const mem_functor0< T_return, T_obj > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 >

retype_functor<const_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3>, T_arg1, T_arg2, T_arg3 > sigc::retype | ( | const const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::const_mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return >

retype_functor<pointer_functor6<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_return>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > sigc::retype | ( | const pointer_functor6< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_return > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::pointer_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >

retype_functor<mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > sigc::retype | ( | const mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::mem_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return >

retype_functor<pointer_functor4<T_arg1, T_arg2, T_arg3, T_arg4, T_return>, T_arg1, T_arg2, T_arg3, T_arg4 > sigc::retype | ( | const pointer_functor4< T_arg1, T_arg2, T_arg3, T_arg4, T_return > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::pointer_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return >

retype_functor<pointer_functor5<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_return>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > sigc::retype | ( | const pointer_functor5< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_return > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::pointer_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_arg1 , class T_arg2 , class T_return >

retype_functor<pointer_functor2<T_arg1, T_arg2, T_return>, T_arg1, T_arg2 > sigc::retype | ( | const pointer_functor2< T_arg1, T_arg2, T_return > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::pointer_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return >

retype_functor<pointer_functor7<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7, T_return>, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > sigc::retype | ( | const pointer_functor7< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7, T_return > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::pointer_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_arg1 , class T_return >

retype_functor<pointer_functor1<T_arg1, T_return>, T_arg1 > sigc::retype | ( | const pointer_functor1< T_arg1, T_return > & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_functor which performs C-style casts on the parameters passed on to the functor.

This function template specialization works on sigc::pointer_functor.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing C-style casts on the paramters passed on.

template <class T_return , class T_functor >

retype_return_functor<T_return, T_functor> sigc::retype_return | ( | const T_functor & | _A_functor | ) | `[inline]`

Creates an adaptor of type sigc::retype_return_functor which performs a C-style cast on the return value of the passed functor.

The template argument T_return specifies the target type of the cast.

Parameters:

  _A_functor | Functor that should be wrapped.

Returns:
  Adaptor that executes _A_functor performing a C-style cast on the return value.

template <class T_action , class T_functor , class T_type1 , class T_type2 , class T_type3 , class T_type4 , class T_type5 , class T_type6 , class T_type7 >

void sigc::visit_each | ( | const T_action & | _A_action,
|  | const retype_functor< T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 > & | _A_target
| ) |  |

Performs a functor on each of the targets of a functor.

The function overload for sigc::retype_functor performs a functor on the functor stored in the sigc::retype_functor object.

template <class T_action , class T_return , class T_functor >

void sigc::visit_each | ( | const T_action & | _A_action,
|  | const retype_return_functor< T_return, T_functor > & | _A_target
| ) |  |

Performs a functor on each of the targets of a functor.

The function overload for sigc::retype_return_functor performs a functor on the functor stored in the sigc::retype_return_functor object.